<?php

namespace Types;

class Fop_fints_file_state {
  
  

    // --- Statische Eigenschaften ---
  
  static private $values ;
  static private $valuesShort ;

    // --- Statische Methoden ---
  
  public static function ensureIsLoaded() { 
    
    
    // --- BLOCK: main ---
    
  // Can be called to ensure class is loaded and initialized

    
  }

  public static function toString($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : (self::$values[$x] ?? '');
    
  }

  public static function toStringShort($x) { 
    
    
    // --- BLOCK: main ---
    return is_null($x) ? '-' : self::$valuesShort[$x];
    
  }

  public static function parse($x) { 
    
    
    // --- BLOCK: main ---
    
		$result = array_search($x, self::$values);
		if ($result !== false) return $result;
		$result = array_search($x, self::$valuesShort);
		if ($result !== false) return $result;
		return null;
    
  }

  public static function initialize() { 
    
    
    // --- BLOCK: values ---
    
		self::$values[1] = _('Neu');
	self::$values[2] = _('Erfolg');
	self::$values[3] = _('Datei-Fehler');
	self::$values[4] = _('TAN-Fehler');
	self::$values[5] = _('Abgebrochen');
	self::$values[6] = _('extern durchgeführt');
	
    // --- BLOCK: valuesShort ---
    
		self::$valuesShort[1] = _('Neu');
	self::$valuesShort[2] = _('Erfolg');
	self::$valuesShort[3] = _('Datei-Fehler');
	self::$valuesShort[4] = _('TAN-Fehler');
	self::$valuesShort[5] = _('Abgebrochen');
	self::$valuesShort[6] = _('extern durchgeführt');
	
    
  }


  
  

  
  
}

\Types\Fop_fints_file_state::initialize(); 

